(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./AnimatableGradientColor", "./GradientAngle"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.AnimatableGradient = void 0;
    const AnimatableGradientColor_1 = require("./AnimatableGradientColor");
    const GradientAngle_1 = require("./GradientAngle");
    class AnimatableGradient {
        constructor() {
            this.angle = new GradientAngle_1.GradientAngle();
            this.colors = [];
            this.type = "random";
        }
        load(data) {
            if (!data) {
                return;
            }
            this.angle.load(data.angle);
            if (data.colors !== undefined) {
                this.colors = data.colors.map((s) => {
                    const tmp = new AnimatableGradientColor_1.AnimatableGradientColor();
                    tmp.load(s);
                    return tmp;
                });
            }
            if (data.type !== undefined) {
                this.type = data.type;
            }
        }
    }
    exports.AnimatableGradient = AnimatableGradient;
});
